/*
 * QueryEditorContentManager.java
 *
 * Copyright (C) 2002-2017 Takis Diakoumis
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 3
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */

package org.executequery.gui.editor;

import java.util.List;

import org.executequery.GUIUtilities;
import org.executequery.gui.SaveFunction;

public class QueryEditorContentManager {

    
    public void save() {
        
        StringBuilder sb = new StringBuilder();
        List<SaveFunction> panels = GUIUtilities.getOpenSaveFunctionPanels();
        for (SaveFunction saveFunction : panels) {
            
            if (QueryEditor.class.isAssignableFrom(saveFunction.getClass())) {
                
                QueryEditor queryEditor = (QueryEditor) saveFunction;
                
                String name = queryEditor.getDisplayName();
                String text = queryEditor.getEditorText();
                
                
                
                
            }
            
        }
        
    }
    
    
    
}

